Issue 118834 - Unify TextBreakupHelper
Summary: Unify TextBreakupHelper
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: code (show other issues)
Version: 3.4.0 Beta (OOo)
Hardware: PC Windows 7
: P5 (lowest) Normal (vote)
Target Milestone: ---
Assignee: Armin Le Grand
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-25 17:44 UTC by Armin Le Grand
Modified: 2017-05-20 10:31 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2012-01-25 17:44:47 UTC
ALG: There is a TextBreakupHelper as tooling in svgio, the new Svg importer which is able to break i18n text to chars, words or sentences. There is also still a local one in TextDecoratedPortionPrimitive2D (to break to words when underline is on and wordwise is selected). This can be unified to also use the new tooling TextBreakupHelper.
Comment 1 Armin Le Grand 2012-01-25 17:45:12 UTC
ALG: Taking over.
Comment 2 Armin Le Grand 2012-01-25 17:46:03 UTC
ALG: Adapted usages, slightly adapted TextBreakupHelper. Also had to change word breakup to ignore whitespace at word starts. Tested, works well.
Comment 3 Armin Le Grand 2012-01-26 09:17:55 UTC
ALG: Committed, done.
Comment 4 Armin Le Grand 2012-01-26 09:19:36 UTC
ALG: Set to resolved
Comment 5 Oliver-Rainer Wittmann 2012-06-13 12:30:46 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.